<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://java.sun.com/jsf/core">
<h:head>
	<title>Facelet Title</title>
</h:head>
<h:body>
	<p:fieldset title="FieldSet">
	<h:form id="form">
		<h:panelGrid columns="2">
				<p:inputText value="#{controlBean.dui}" />
				<p:commandButton value="BTN"
					actionListener="#{controlBean.nombre()}" update="form" />

				<p:outputLabel value="Nombre" />
				<p:inputText id="name" value="#{controlBean.persona.nombre}" />
				
				<p:outputLabel value="Apellido" />
				<p:inputText id="apellido" value="#{controlBean.persona.apellido}" />
			
				<p:outputLabel value="DUI" />
				<p:inputText id="dui" value="#{controlBean.persona.dui}" />
			
				<p:outputLabel value="NIT" />
				<p:inputText id="nit" value="#{controlBean.persona.nit}" />
				
				<p:outputLabel value="Municipio" />
				<p:selectOneMenu var="" value="">
					<f:selectItems value="#{controlBean.municipiosList}" var="m" itemValue="#{m.idmuni}" itemLabel="#{m.municipio}" />
				</p:selectOneMenu>
				
				<p:outputLabel value="Dirección" />
				<p:inputText id="direccion" value="#{controlBean.persona.direccion}" />
				
				<p:outputLabel value="Teléfono" />
				<p:inputText id="telefono" value="#{controlBean.persona.telefono}" />
				
				<p:outputLabel value="Ocupacion" />
				<p:selectOneMenu var="" value="">
					<f:selectItems value="#{controlBean.ocupacinesList}" var="o" itemValue="#{o.id}" itemLabel="#{o.descripcion}" />
				</p:selectOneMenu>
		</h:panelGrid>
		</h:form>
	</p:fieldset>
</h:body>
</html>